# FILE: avf2ave.tcl
#
# This file must be evaluated by mmDispSh

package require Oc 1.1.1.2
package require Mmdispcmds 1.1.1.0
Oc_ForceStderrDefaultMessage
catch {wm withdraw .}

Oc_Main SetAppName avf2ave
Oc_Main SetVersion 1.1.1.2

Oc_CommandLine Option console {} {}
Oc_CommandLine Option [Oc_CommandLine Switch] {
	{file {} {Input vector field file (regular grid)}}
    } {
	global infile; set infile $file
} {End of options; next argument is file}
Oc_CommandLine Parse $argv

ChangeMesh $infile 0 0 0 -1
puts "# Data averages for file $infile\n#"
WriteMeshAverages stdout

exit 0
